node-require-relative_0.8.7-2_all.deb


Advertisement

Description

node-require-relative - Relative require module import for Node.js

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename node-require-relative_0.8.7-2_all.deb
Package name node-require-relative
Package version 0.8.7
Package release 2
Package architecture all
Package type deb
Category universe/web
Homepage https://github.com/kamicane/require-relative
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 3.20 KB
Installed size 15.00 KB
This Node.js module makes it possible to import (require or resolve) other
modules relative to a path of your choice.
Node.js is an event-based server-side JavaScript engine.

Alternatives

Package Version Architecture Repository
node-require-relative_0.8.7-2_all.deb 0.8.7 all Ubuntu Universe
node-require-relative - - -

Requires

Name Value
nodejs -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package node-require-relative_0.8.7-2_all.deb
Source Package node-require-relative

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install node-require-relative deb package:
    # sudo apt-get install node-require-relative

Files

Path
/usr/lib/nodejs/require-relative/index.js
/usr/lib/nodejs/require-relative/package.json
/usr/share/doc/node-require-relative/README.md
/usr/share/doc/node-require-relative/changelog.Debian.gz
/usr/share/doc/node-require-relative/copyright

Changelog

2018-08-07 - Julien Puydt <jpuydt@debian.org>
node-require-relative (0.8.7-2) unstable; urgency=medium
* Refresh packaging:
- Use my debian.org mail address.
- Move to section javascript. 
- Point Vcs-* fields to salsa. 
- Bump d/watch to version 4. 
- Bump dh compat to 11. 
- Bump std-ver to 4.1.5. 
2016-11-01 - Julien Puydt <julien.puydt@laposte.net>
node-require-relative (0.8.7-1) unstable; urgency=medium
* Initial release (Closes: #842800)

See Also

Package Description
node-requirejs-text_2.0.12-2_all.deb RequireJS/AMD loader plugin for text resources
node-requirejs_2.3.6-1_all.deb JavaScript file and module loader - NodeJS
node-requires-port_1.0.0-1_all.deb checks if a protocol requires a certain port number to be added to an URL
node-reserved_0.1.2+20140511-3_all.deb List of JavaScript reserved words (Node.js module)
node-resolve-cwd_2.0.0-2_all.deb Resolve the path of a module from current directory
node-resolve-dir_1.0.1-2_all.deb Resolve a directory
node-resolve-from_4.0.0-1_all.deb Resolve the path of a module from a given path
node-resolve-pkg_0.2.0-1_all.deb Resolve the path of a package regardless of it having an entry point
node-resolve_1.5.0-1_all.deb Synchronous/Asynchronous require.resolve() algorithm
node-response-time_2.2.0-1_all.deb X-Response-Time header manager for HTTP response - Node.js module
node-restore-cursor_2.0.0-1_all.deb Gracefully restore the CLI cursor on exit
node-resumer_0.0.0-3build2_all.deb through stream that starts paused and resumes on the next tick
node-retape_0.0.3-3_all.deb CommonJS test to tape adapter
node-retry_0.10.1-1_all.deb Retry strategies for failed operations module for Node.js
node-rimraf_2.6.2-1_all.deb Deep deletion (like rm -rf) module for Node.js
Advertisement
Advertisement